<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE hibernate-configuration PUBLIC
        "-//Hibernate/Hibernate Configuration DTD 3.0//EN"
        "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">

<hibernate-configuration>

    <session-factory>

        <!-- Configurações de Conexão com o Banco de Dados -->
        <property name="connection.driver_class">com.mysql.jdbc.Driver</property>
        <property name="connection.url">jdbc:mysql://localhost/Melhor_Preco</property>
        <property name="connection.username">root</property>
        <property name="connection.password">123456</property>

        <!-- Pool de Conexões -->
        <property name="connection.pool_size">1</property>

        <!-- SQL dialect -->
        <property name="dialect">org.hibernate.dialect.MySQL5InnoDBDialect</property>

        <!-- Gerenciamento do Contexto das Sessões -->
        <property name="current_session_context_class">thread</property>

        <!-- Cache de Segundo Nível -->
        <property name="cache.provider_class">org.hibernate.cache.internal.NoCacheProvider</property>

        <!-- Mostra as SQLs Geradas -->
        <property name="show_sql">true</property>

        <!-- Cria as tabelas do banco de dados -->
        <property name="hbm2ddl.auto">update</property>
                
                
        <!-- Mapeamento das tabelas  -->
        <mapping class="br.com.wilson.silvino.melhorpreco.Domain.Blog"/>
        <mapping class="br.com.wilson.silvino.melhorpreco.Domain.Categoria"/>
        <mapping class="br.com.wilson.silvino.melhorpreco.Domain.Cliente"/>
        <mapping class="br.com.wilson.silvino.melhorpreco.Domain.Endereco"/>
        <mapping class="br.com.wilson.silvino.melhorpreco.Domain.Estabelecimento"/>
        <mapping class="br.com.wilson.silvino.melhorpreco.Domain.Oferta"/>
        <mapping class="br.com.wilson.silvino.melhorpreco.Domain.Produto"/>
         
        
    </session-factory>

</hibernate-configuration>